OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_DataMapNodeOfDataMapOfGUIDDriver Class Reference

`#include <TFunction_DataMapNodeOfDataMapOfGUIDDriver.hxx>`

## Public Member Functions
| TFunction_DataMapNodeOfDataMapOfGUIDDriver (const Standard_GUID &K, const Handle(TFunction_Driver)&I, const TCollection_MapNodePtr &n)
Standard_GUID & | Key () const
Handle_TFunction_Driver & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_GUID | myKey
Handle_TFunction_Driver | myValue

## Constructor & Destructor Documentation

TFunction_DataMapNodeOfDataMapOfGUIDDriver::TFunction_DataMapNodeOfDataMapOfGUIDDriver | ( | const Standard_GUID & | K,
|  | const Handle(TFunction_Driver)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TFunction_DataMapNodeOfDataMapOfGUIDDriver::Handle | ( | Standard_Type |  | ) | const

Standard_GUID& TFunction_DataMapNodeOfDataMapOfGUIDDriver::Key | ( |  | ) | const

Handle_TFunction_Driver& TFunction_DataMapNodeOfDataMapOfGUIDDriver::Value | ( |  | ) | const

## Field Documentation

Standard_GUID TFunction_DataMapNodeOfDataMapOfGUIDDriver::myKey`[private]`

Handle_TFunction_Driver TFunction_DataMapNodeOfDataMapOfGUIDDriver::myValue`[private]`

The documentation for this class was generated from the following file:

- TFunction_DataMapNodeOfDataMapOfGUIDDriver.hxx